unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, mk_usb_detector, Vcl.ExtCtrls,
  Vcl.StdCtrls, MkDs18x20;

type
  TForm1 = class(TForm)
    MkDs18x20: TMkDs18x20;
    Panel1: TPanel;
    Button1: TButton;
    ComboBox1: TComboBox;
    Timer1: TTimer;
    MkUsbDetector1: TMkUsbDetector;
    procedure ComboBox1DropDown(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure MkDs18x20GetSensorCount(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure MkDs18x20GetTemp(Sender: TObject);
    procedure MkDs18x20SessionError(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  MkDs18x20.ComPort := ComboBox1.Text;
  if MkDs18x20.DriverActive then begin
    MkDs18x20.TMEXGetDSCount;
    Panel1.Caption := '?.?';
  end else begin
    ShowMessage('Brak drivera TMEX microlan');
  end;
end;

procedure TForm1.ComboBox1DropDown(Sender: TObject);
begin
  MkUsbDetector1.GetAvailableComPorts( ComboBox1.Items );
end;

procedure TForm1.MkDs18x20GetSensorCount(Sender: TObject);
begin
  if MkDs18x20.FSensorCount > 0 then Timer1.Enabled := True;
end;

procedure TForm1.MkDs18x20GetTemp(Sender: TObject);
begin
  Panel1.Caption := MkDs18x20.sensor[0].temp;
  Timer1.Enabled := True;
end;

procedure TForm1.MkDs18x20SessionError(Sender: TObject);
begin
  Timer1.Enabled := True;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled := False;
  MkDs18x20.TMEXGetTemp;
end;

end.
